* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --main-font: "Antic Didone", serif;
  --body-font: "Raleway", sans-serif;
  --dark-red: #a11d2c;
  --light-gray: #c6c6c6;
  --dark: #282828;
  --dark-gray: #5a5a5c;
  --white: #fff;
  --green: #50c878;
  --blue: #71c7ec;
}
/* Global */
h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: var(--main-font);
}
body {
  font-family: var(--body-font);
}
.btn {
  letter-spacing: 2px;
}
.btn:hover {
  color: var(--white);
}
.btn:focus {
  box-shadow: none;
}
.common-btn {
  border-radius: 20px;
  color: var(--white);
}
.land-btn {
  margin-bottom: 10px;
  width: 50%;
  border-radius: 20px;
}
.login-btn {
  background-color: var(--dark);
  color: var(--white);
}
.register-btn {
  background-color: var(--dark-red);
}
.show-products-btn {
  background-color: var(--dark-gray);
}

/* Start of Navbar */
.navbar {
  background-color: var(--dark);
  /* width: 100%; */
  position: relative;
}
.nav-logo {
  width: 8%;
}
.nav-link {
  color: var(--light-gray);
  display: inline-block;
  /* background-color: var(--dark-red); */
  margin: 0 5px;
}
.user-profile-btn {
  background-color: transparent;
  border: none;
  color: var(--white);
  font-size: 28px;
  cursor: pointer;
}
.nav-bag-btn-wrapper {
  position: fixed;
  top: 100px;
  right: 25px;
  z-index: 1;
}
.nav-bag-btn-wrapper span {
  color: var(--dark-red);
  font-weight: bold;
  padding: 5px;
  /* border-radius: 20px; */
  /* background-color: blue; */
  position: fixed;
  top: 90px;
  right: 10px;
}
.nav-bag-btn {
  background-color: var(--dark);
  width: 40px;
  height: 40px;
  border-radius: 50%;
  color: var(--white);
  font-size: 24px;
  border: none;

  display: flex;
  justify-content: center;
  align-items: center;
}
/* End of Navbar */

/* Start of FormPages Styling */
.form {
  position: relative;
  width: 70%;
}
.form button {
  /* margin-left: 23%; */
  width: 50%;
  border-radius: 20px;
}
.form .form-control {
  border: 1px solid var(--dark);
  font-weight: bold;
  border-color: var(--dark-gray);
}
.form .form-control:focus {
  box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px,
    rgba(0, 0, 0, 0.3) 0px 30px 60px -30px,
    rgba(10, 37, 64, 0.35) 0px -2px 6px 0px inset;
  border-color: var(--dark-red);
}
.form-label {
  position: absolute;
  left: 16px;
  transform: translateY(-11px);
  background-color: var(--white);
  color: var(--dark-red);
  padding: 1px;
  /* cursor: text; */
  font-size: 14px;
  font-weight: 600;
}
.form-wrapper {
  width: 50%;
  height: 70%;
}
/* -------- Start of Register Columns Styling -------- */
.form-wrapper .register-dark-col {
  width: 100%;
  height: 100%;
  background: linear-gradient(to bottom, var(--dark), var(--dark-gray));
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
  border-top-left-radius: 10px;
  border-bottom-left-radius: 10px;
}
.form-wrapper .register-light-col {
  background-color: var(--white);
  width: 100%;
  height: 100%;
  border-top-right-radius: 10px;
  border-bottom-right-radius: 10px;
}
.password-not-match {
  font-size: 12px;
  color: var(--dark-red);
  font-weight: bold;
}
.password-match {
  font-size: 12px;
  color: green;
  font-weight: bold;
}
/* -------- End of Register Columns Styling -------- */
/* -------- Start of Login Columns Styling -------- */
.form-wrapper .login-dark-col {
  width: 100%;
  height: 100%;
  background: linear-gradient(to bottom, var(--dark), var(--dark-gray));
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
  border-top-right-radius: 10px;
  border-bottom-right-radius: 10px;
}
.form-wrapper .login-light-col {
  background-color: var(--white);
  width: 100%;
  height: 100%;
  border-top-left-radius: 10px;
  border-bottom-left-radius: 10px;
}
/* -------- End of Login Columns Styling -------- */
.form-wrapper span {
  position: relative;
  font-size: 12px;
}
.form-wrapper span::after {
  content: "";
  position: absolute;
  width: 50px;
  height: 2px;
  background-color: var(--white);
  left: 150px;
  top: 9px;
}
.form-wrapper span::before {
  content: "";
  position: absolute;
  width: 50px;
  height: 2px;
  background-color: var(--white);
  right: 150px;
  top: 9px;
}
.register-login-section {
  width: 100vw;
  height: 100vh;
  background: linear-gradient(to bottom, var(--dark), var(--dark-gray));
  display: grid;
  place-items: center;
}
/* End of FormPages Styling */

/* Start of LandPage */
.left-col {
  height: 100vh;
  width: 100vw;
  background: linear-gradient(to bottom, var(--dark), var(--dark-gray));
}
/* End of LandPage */

/* Start of ProductsPage */
.product-card {
  color: var(--dark-red);
}
.bag-btn {
  position: absolute;
  background-color: var(--dark);
  border: 5px solid var(--white);
  right: -20px;
  bottom: -20px;
  border-radius: 45%;
  color: var(--white);
  font-size: 20px;
}
.details-btn {
  color: var(--dark);
  position: relative;
  z-index: 1;
}
.details-btn::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
  width: 20%;
  height: 100%;
  border-radius: 20px;
  background-color: var(--dark-red);
  transition: 0.3s;
}
.details-btn:hover::before {
  width: 100%;
}
/* End of ProductsPage */

/* Start of ProductDetails */
.product-details-wrapper {
  /* width: 100%; */
  border: 2px solid var(--dark-red);
  border-top-left-radius: 20px;
  border-bottom-right-radius: 20px;
  color: var(--dark-red);
}
.product-details-wrapper img {
  width: 300px;
  border-radius: 20px;
}
.details {
  width: 50%;
}
.product-details-wrapper h6 {
  font-family: var(--body-font);
  position: relative;
}
.product-details-wrapper span::after {
  content: "";
  position: absolute;
  width: 15%;
  height: 0.5px;
  background-color: var(--dark-red);
  opacity: 0.7;
  top: 20px;
  left: 0;
}
.product-details-wrapper input {
  width: 20%;
  margin: 0 5px;
}
.plus-btn,
.subtract-btn {
  border: none;
  width: 20%;
  border-radius: 20px;
  font-weight: bold;
  font-size: 18px;
  color: var(--white);
}
.plus-btn {
  background-color: green;
}
.subtract-btn {
  background-color: var(--dark-red);
}
.add-to-bag-btn {
  width: 60%;
  border: none;
  background-color: var(--dark);
  color: var(--white);
  border-radius: 20px;
  height: 40px;
}

/* Start of Admin View */
.disable-btn,
.enable-btn,
.edit-btn {
  position: absolute;
  border: 5px solid var(--white);
  border-radius: 45%;
  color: var(--white);
  font-size: 20px;
}
.disable-btn {
  background-color: var(--dark-red);
  right: -20px;
  bottom: 50px;
}
.enable-btn {
  background-color: var(--green);
  right: -20px;
  bottom: 50px;
}
.edit-btn {
  background-color: var(--blue);
  right: -20px;
  bottom: -20px;
}
.add-product-btn {
  background-color: var(--dark);
  border-radius: 20px;
  padding: 5px 20px;
  border: none;
  color: var(--white);
}
.admin-form .form-control:focus {
  box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px,
    rgba(0, 0, 0, 0.3) 0px 30px 60px -30px,
    rgba(10, 37, 64, 0.35) 0px -2px 6px 0px inset;
  border-color: var(--dark-red);
}
.status-available {
  color: var(--green);
}
